<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for TopicSearchRow StructType
 * @subpackage Structs
 */
class TopicSearchRow extends SearchRow
{
    /**
     * The basic
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\TopicSearchRowBasic
     */
    public $basic;
    /**
     * The solutionJoin
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SolutionSearchRowBasic
     */
    public $solutionJoin;
    /**
     * The userJoin
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\EmployeeSearchRowBasic
     */
    public $userJoin;
    /**
     * Constructor method for TopicSearchRow
     * @uses TopicSearchRow::setBasic()
     * @uses TopicSearchRow::setSolutionJoin()
     * @uses TopicSearchRow::setUserJoin()
     * @param \StructType\TopicSearchRowBasic $basic
     * @param \StructType\SolutionSearchRowBasic $solutionJoin
     * @param \StructType\EmployeeSearchRowBasic $userJoin
     */
    public function __construct(\StructType\TopicSearchRowBasic $basic = null, \StructType\SolutionSearchRowBasic $solutionJoin = null, \StructType\EmployeeSearchRowBasic $userJoin = null)
    {
        $this
            ->setBasic($basic)
            ->setSolutionJoin($solutionJoin)
            ->setUserJoin($userJoin);
    }
    /**
     * Get basic value
     * @return \StructType\TopicSearchRowBasic|null
     */
    public function getBasic()
    {
        return $this->basic;
    }
    /**
     * Set basic value
     * @param \StructType\TopicSearchRowBasic $basic
     * @return \StructType\TopicSearchRow
     */
    public function setBasic(\StructType\TopicSearchRowBasic $basic = null)
    {
        $this->basic = $basic;
        return $this;
    }
    /**
     * Get solutionJoin value
     * @return \StructType\SolutionSearchRowBasic|null
     */
    public function getSolutionJoin()
    {
        return $this->solutionJoin;
    }
    /**
     * Set solutionJoin value
     * @param \StructType\SolutionSearchRowBasic $solutionJoin
     * @return \StructType\TopicSearchRow
     */
    public function setSolutionJoin(\StructType\SolutionSearchRowBasic $solutionJoin = null)
    {
        $this->solutionJoin = $solutionJoin;
        return $this;
    }
    /**
     * Get userJoin value
     * @return \StructType\EmployeeSearchRowBasic|null
     */
    public function getUserJoin()
    {
        return $this->userJoin;
    }
    /**
     * Set userJoin value
     * @param \StructType\EmployeeSearchRowBasic $userJoin
     * @return \StructType\TopicSearchRow
     */
    public function setUserJoin(\StructType\EmployeeSearchRowBasic $userJoin = null)
    {
        $this->userJoin = $userJoin;
        return $this;
    }
}
